Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.plugin
Class GeneralAnalyst

    java.lang.Object
      mauda.plugin.GeneralAnalyst

    public class GeneralAnalyst

extends java.lang.Object

The central class, to access different exercise-generators.

Author:
  Markus Krebs

Field Summary
`static Analysable` | `analyzer` The current analyzer
`static int` | `maxKey` The key-range for data-structures

Constructor Summary
`GeneralAnalyst()`

Method Summary
`static OperationQueue` | `autoGen(java.lang.Object o, OperationQueue operationQueue, int difficulty, int mode)` Generates the todo-operations
`static OperationQueue[]` | `fullAutomatic(java.lang.Object o, OperationQueue initOQ, OperationQueue scrambleOQ, OperationQueue autoGenOQ, int difficulty, int mode)` Generates a complete exercise
`static OperationQueue` | `getOperations(java.lang.Object o)` Gets all possible logical different Operations
`static OperationQueue` | `init(java.lang.Object o, OperationQueue givenOperations, int difficulty, int mode)` Generates the initializing operations
`static OperationQueue` | `scramble(java.lang.Object o, OperationQueue givenOperations, int difficulty, int mode)` Scrambles the current data-structure
`static void` | `setAnalyzer(Analysable a)` Sets the current analyzer

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### analyzer

    public static Analysable analyzer

  The current analyzer

### maxKey

    public static final int maxKey

  The key-range for data-structures

  See Also:
    Constant Field Values

Constructor Detail

### GeneralAnalyst

    public GeneralAnalyst()

Method Detail

### setAnalyzer

    public static void setAnalyzer(Analysable a)

  Sets the current analyzer

  Parameters:
    `a` - Analysable

### getOperations

    public static OperationQueue getOperations(java.lang.Object o)

  Gets all possible logical different Operations

  Parameters:
    `o` - data-structure
  Returns:
    OperationQueue of possible operations
  See Also:
    `Analysable.getOperations(Object)`

### init

    public static OperationQueue init(java.lang.Object o,
                                      OperationQueue givenOperations,
                                      int difficulty,
                                      int mode)

  Generates the initializing operations

  Parameters:
    `o` -
    `givenOperations` -
    `difficulty` -
    `mode` -
  Returns:
    OperationQueue
  See Also:
    `Analysable.init(Object, OperationQueue, int, int)`

### scramble

    public static OperationQueue scramble(java.lang.Object o,
                                          OperationQueue givenOperations,
                                          int difficulty,
                                          int mode)

  Scrambles the current data-structure

  Parameters:
    `o` -
    `givenOperations` -
    `difficulty` -
    `mode` -
  Returns:
    OperationQueue
  See Also:
    `Analysable.scramble(Object, OperationQueue, int, int)`

### autoGen

    public static OperationQueue autoGen(java.lang.Object o,
                                         OperationQueue operationQueue,
                                         int difficulty,
                                         int mode)

  Generates the todo-operations

  Parameters:
    `o` -
    `operationQueue` -
    `difficulty` -
    `mode` -
  Returns:
    OperationQueue
  See Also:
    `Analysable.autoGen(Object, OperationQueue, int, int)`

### fullAutomatic

    public static OperationQueue[] fullAutomatic(java.lang.Object o,
                                                 OperationQueue initOQ,
                                                 OperationQueue scrambleOQ,
                                                 OperationQueue autoGenOQ,
                                                 int difficulty,
                                                 int mode)

  Generates a complete exercise

  Parameters:
    `o` -
    `initOQ` -
    `scrambleOQ` -
    `autoGenOQ` -
    `difficulty` -
    `mode` -
  Returns:
    init-operations[0] and todo-operations[1]
  See Also:
    `Analysable.fullAutomatic(Object, OperationQueue, OperationQueue, OperationQueue, int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD